Bug 209868 - [exp-run] devel/gmake: update to 4.2
Summary: [exp-run] devel/gmake: update to 4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-30 19:05 UTC by Tijl Coosemans
Modified: 2016-06-05 14:36 UTC (History)
1 user (show)

See Also:
rene: exp-run?


Attachments
patch (1.23 KB, patch)
2016-05-30 19:05 UTC, Tijl Coosemans
no flags Details | Diff
patch2 (1.87 KB, patch)
2016-06-01 10:30 UTC, Tijl Coosemans
no flags Details | Diff
patch3 (6.49 KB, patch)
2016-06-03 10:54 UTC, Tijl Coosemans
no flags Details | Diff
patch4 (4.72 KB, patch)
2016-06-04 18:49 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2016-05-30 19:05:03 UTC
Created attachment 170838 [details]
patch

Update devel/gmake to version 4.2.
Comment 2 Tijl Coosemans freebsd_committer 2016-06-01 10:30:04 UTC
Created attachment 170904 [details]
patch2

Define PO_DEPENDS_ON_POT to fix build with fmake.
Comment 3 Antoine Brodin freebsd_committer 2016-06-03 05:38:31 UTC
There are 3 new failures:

+ {"origin"=>"deskutils/tomboy", "pkgname"=>"tomboy-1.15.4", "phase"=>"build", "errortype"=>"makefile"}
+ {"origin"=>"devel/ocaml-deriving-ocsigen", "pkgname"=>"ocaml-deriving-ocsigen-0.3c_1", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"games/0ad", "pkgname"=>"0ad-0.0.20", "phase"=>"build", "errortype"=>"missing_header"}

Failure logs:

http://package23.nyi.freebsd.org/data/101i386-default-PR209868/2016-06-02_20h12m43s/logs/errors/tomboy-1.15.4.log
http://package23.nyi.freebsd.org/data/101i386-default-PR209868/2016-06-02_20h12m43s/logs/errors/ocaml-deriving-ocsigen-0.3c_1.log
http://package23.nyi.freebsd.org/data/101i386-default-PR209868/2016-06-02_20h12m43s/logs/errors/0ad-0.0.20.log
Comment 4 Tijl Coosemans freebsd_committer 2016-06-03 10:54:32 UTC
Created attachment 170975 [details]
patch3

Fix reported build failures.
Comment 6 Tijl Coosemans freebsd_committer 2016-06-04 18:49:44 UTC
Created attachment 171019 [details]
patch4

Disable make jobs when building bundled spidermonkey in 0ad.
Comment 7 Antoine Brodin freebsd_committer 2016-06-05 13:54:48 UTC
Exp-run looks fine
Comment 8 commit-hook freebsd_committer 2016-06-05 14:35:38 UTC
A commit references this bug:

Author: tijl
Date: Sun Jun  5 14:35:02 UTC 2016
New revision: 416393
URL: https://svnweb.freebsd.org/changeset/ports/416393

Log:
  - Update devel/gmake to 4.2.
  - deskutils/tomboy, devel/ocaml-deriving-ocsigen: patch Makefile bug.
  - games/0ad: disable make jobs when building bundled Spidermonkey.

  PR:		209868
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/deskutils/tomboy/Makefile
  head/devel/gmake/Makefile
  head/devel/gmake/distinfo
  head/devel/gmake/pkg-descr
  head/devel/ocaml-deriving-ocsigen/files/
  head/devel/ocaml-deriving-ocsigen/files/patch-syntax-Makefile
  head/games/0ad/files/patch-libraries__source__spidermonkey__build.sh